## mapserver 4.6.1

=== mapscript/csharp/Makefile ===

#
# SWIG Stuff
#
SWIG=/usr/local/bin/swig

#
# CSHARP Stuff
#
CSC=mcs

CC=gcc

#
# Set these to the values appropriate for your MapServer build- cut & paste from ../../perlvars
#
CCFLAGS=-DIGNORE_MISSING_DATA -DUSE_EPPL -DUSE_TIFF -DUSE_JPEG -DUSE_GD_TTF -DUSE_GD_GIF -DUSE_GD_PNG -DUSE_GD_JPEG -DUSE_GD_WBMP -DGD_HAS_GDIMAGEGIFPTR

LDFLAGS=-L../.. -lmap -lgd -L/usr/local/lib -lgd -ljpeg -lttf -lpng -lz -ltiff -ljpeg -lpng -lz -ljpeg -lm

#
# --- You shouldn't have to edit anything else. ---
#
all: interface mapscript_so mapscript_csharp

interface: ../mapscript.i
	$(SWIG) -csharp -o mapscript_wrap.c ../mapscript.i

mapscript_so: mapscript_wrap.c
	$(CC) -fpic -c $(CCFLAGS) mapscript_wrap.c
	$(CC) -fpic -shared mapscript_wrap.o -o libmapscript.so $(LDFLAGS)

mapscript_csharp::
	$(CSC) /t:library /out:mapscript_csharp.dll *.cs
	$(CSC) /r:mapscript_csharp.dll examples/shpdump.cs
	$(CSC) /r:mapscript_csharp.dll examples/shapeinfo.cs
	$(CSC) /r:mapscript_csharp.dll examples/drawmap.cs
	
clean:
	rm -rf edu *.o *.c *.so *.dll

## mapserver 4.10.3-1

=== debian/changelog ===
mapserver (4.10.3-1) unstable; urgency=high

  [ Andreas Putzo ]
  * New upstream release.
    - Fixed XSS vulnerabilities.
      [http://trac.osgeo.org/mapserver/ticket/2256]
    - Fixed possible buffer overflow in template processing.
      [http://trac.osgeo.org/mapserver/ticket/2252]
    (Closes: #439346)
  * Added myself to Uploaders.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #433710
  * Debconf translation updates:
    - Galician. Closes: #434326
    - Tamil. Closes: #434401
    - Russian. Closes: #434406
    - Portuguese. Closes: #434438
    - German. Closes: #434653
    - Vietnamese. Closes: #434758
    - French. Closes: #435933
    - Czech. Closes: #436280
    - Dutch. Closes: #436853
    
 -- Andreas Putzo <andreas@putzo.net>  Tue, 28 Aug 2007 08:21:59 +0000

mapserver (4.10.2-1) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * New upstream release.
    (closes: #412836)
  * Fixed PHP case in long descriptions.
    (closes: #425987)

  [ Fabio Tranchitella ]
  * debian/README.Debian: added a note about PHP and FCGI support.
    (Closes: #425571)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 24 Jun 2007 11:44:44 +0200

mapserver (4.10.1-1) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * debian/po/nl.po added. (closes: #415504)
  * Moved to gdal 1.4.1 dependency. (closes: #424635, #423538)
  * Removed php4 support (closes: #418313)
  * Updated long descriptions.
  * Removed Thomas Sondag among Uploaders (last contribute dated more than 2 years ago).
  * Moved to libcurl4 build-deps.
  * Added a debian/README.etch for notes on backporting.
  * Moved to debhelper compatibility level 5.
  * Removed superfluous dh_python in debian/rules.
  * A new debian/control.etch file has been introduced to retain etch compatibility.
    All php4 related files have been maintained for the same reason. Please, don't remove them!
  * Merging other relevant patches from BSP NMU 4.10.0-6.1. Thanks Luk Claes.
  	- Fixed package priority to meet overrides
  	- Fix language in description (closes: #416449)
  	- Add Dutch debconf translation (closes: #415504)

  [ Fabio Tranchitella ]
  * New upstream release.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 May 2007 00:07:28 +0200

mapserver (4.10.0-6) unstable; urgency=low

  * debian/po/ja.po: added, thanks to Kobayashi Noritada. (Closes: #413119)
  * Change my email address now that I'm a Debian Developer

 -- Paul Wise <pabs@debian.org>  Sat,  3 Mar 2007 17:59:20 +0900

mapserver (4.10.0-5) unstable; urgency=medium

  * debian/po/de.po: added, thanks to Alwin Meschede. (Closes: #405727)

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 13 Jan 2007 22:54:20 +0100

mapserver (4.10.0-4) unstable; urgency=medium

  * debian/po/pt.po: updated. (Closes: #401386)
  * debian/po/fr.po: added. (Closes: #399395)

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 18 Dec 2006 16:38:22 +0100

mapserver (4.10.0-3) unstable; urgency=low

  * debian/control: build-depends on libpq-dev. (Closes: #396565)

 -- Fabio Tranchitella <kobold@debian.org>  Thu,  2 Nov 2006 11:44:17 +0100

mapserver (4.10.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Fabio Tranchitella <kobold@debian.org>  Wed,  1 Nov 2006 09:47:09 +0100

mapserver (4.10.0-1) experimental; urgency=low

  * New upstream release.
  * debian/po/fr.po: updated. (Closes: #388573)
  * debian/po/cz.po: updated. (Closes: #389220)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 20 Oct 2006 11:01:01 +0000

mapserver (4.8.4-1) unstable; urgency=low

  * New upstream release
  * Update for new Python policy (Closes: #373461, #360576)
  * Install shp2mysql.pl as shp2mysql
  * Remove question from long desc for php mapscript debconf questions
  * Remove shp2pdf, since mapserver is build without PDFlib (non-free)
  * Suggest libdbi-perl for mapserver-bin for shp2mysql
  * Fix shebang lines in debian/php*-config
  * Remove python mapscript build dirs on clean
  * Bump Standards-Version (no changes)
  * Fix gdal build-dep - new upstream is libgdal1-1.3.2-dev (Closes: #383140, #383830, #386073)
  * Update debconf templates and translations

 -- Paul Wise <pabs3@bonedaddy.net>  Mon, 21 Aug 2006 09:47:48 +0800

mapserver (4.8.3-2) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix typos in the config and prerm scripts for
    php[45]-mapscript. (Closes: #363115)

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  1 May 2006 08:43:05 +0200

mapserver (4.8.3-1) unstable; urgency=low

  [ Schuyler Erle ]
  * New upstream bugfix release 4.8.3
  * Include patch for sarge backporting and instructions in
    README.sarge.

  [ Paul Wise ]
  * New upstream bugfix release 4.8.2
    - drop 10_python_build: useless, only for Windows
  * Add php_mapscript.so to apache2 php.ini as well. This is a workaround
    for #346184, upstream is looking into it.
  * Install shp2pdf and tile4ms too. Closes: #359615
  * Change priority to extra in line with ftpmaster override

  [ Petter Reinholdtsen ]
  * Remove the generated files mapscript/csharp/Makefile and
    mapscript/php3/Makefile when cleaning up the source directory, to
    avoid noise in the debian diff.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  1 Apr 2006 11:14:50 +0200

mapserver (4.8.1-2) unstable; urgency=low

  [ Paul Wise ]
  * Make the build target no longer depend on build-indep. This is not
    policy-compliant (see 7.6 and 4.8), but it is needed to work around
    the fact that the autobuilders call debian/rules build (instead of
    build-arch), but do not install Build-Depends-Indep packages.
    build-indep is an indirect dependency of the binary and binary-indep
    targets, so non-autobuilder builds will still work.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 20 Feb 2006 11:10:25 +0100

mapserver (4.8.1-1) unstable; urgency=low

  [ Paul Wise ]
  * New upstream release


=== debian/control ===
Source: mapserver
Section: devel
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Schuyler Erle <schuyler@nocat.net>, Petter Reinholdtsen <pere@debian.org>, Paul Wise <pabs@debian.org>, Fabio Tranchitella <kobold@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, Andreas Putzo <andreas@putzo.net>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.37.2), dpatch, libcurl4-gnutls-dev, libpng12-dev,
 zlib1g-dev (>= 1.1.4), libgd2-xpm-dev (>= 2.0.1-10), libfreetype6-dev (>= 2.0.9),
 libjpeg62-dev, libgdal1-dev (>=1.4.0), proj, libwww-dev, libpq-dev, php5-dev, swig,
 python-all, python-all-dev, python-central (>= 0.5), libgeos-dev (>= 2.2.3-2)
Build-Depends-Indep: python-docutils
Build-Conflicts: libcurl3-openssl-dev
XS-Python-Version: all

Package: php5-mapscript
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: php5-cgi module for MapServer
 PHP MapScript provides MapServer functions for PHP scripts.

Package: perl-mapscript
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: Perl MapServer library
 Perl MapScript provides MapServer functions for Perl scripts.

Package: cgi-mapserver
Section: web
Architecture: any
Depends: ${shlibs:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: CGI executable for MapServer
 This package contains the mapserv CGI program. It provides the
 MapServer template language, and can be used to implement Web Map
 Service applications.
 .
 MapServer is a CGI-based framework for Internet map services which
 supports Open Geospatial Consortium (OGC) standards. Scripting
 functionality in MapScript is provided by the suggested mapscript
 library packages.
 .
  Homepage: http://mapserver.gis.umn.edu

Package: python-mapscript
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}
Suggests: mapserver-bin, mapserver-doc
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python library for MapServer
 Python MapScript provides MapServer functions for Python scripts.

Package: mapserver-bin
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}
Suggests: libdbi-perl, perl-mapscript, python-mapscript, cgi-mapserver, mapserver-doc, php5-mapscript
Description: MapServer utilities
 This package provides command-line utilities for MapServer.
 .
 MapServer is a CGI-based framework for Internet map services which
 supports Open Geospatial Consortium (OGC) standards. Scripting
 functionality in MapScript is provided by the suggested mapscript
 library packages.
 .
  Homepage: http://mapserver.gis.umn.edu

Package: mapserver-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}
Suggests: perl-mapscript, python-mapscript, php5-mapscript, cgi-mapserver
Description: documentation for MapServer
 This package provides some brief documentation for MapServer.
 .
 MapServer is a CGI-based framework for Internet map services which
 supports Open Geospatial Consortium (OGC) standards. Scripting
 functionality in MapScript is provided by the suggested mapscript
 library packages.
 .
  Homepage: http://mapserver.gis.umn.edu

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
 
package=mapserver

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')
CURDIR := $(shell pwd)
PYVERS=$(shell pyversions -r debian/control)
PHP5API=$(shell php-config5 --phpapi)
PHP5DIR=$(shell php-config5 --extension-dir)

# Configure config :
# Not using non free libpdf
# Explicit disable direct goetiff support, 
# it's better to use gdal geotiff support for stability reasons


COMMON_CONFIG=	--prefix=/usr \
		--enable-debug \
		--without-tiff \
		--without-pdf \
		--with-gd=/usr \
		--with-freetype=/usr \
		--with-zlib=/usr \
		--with-png=/usr \
		--with-xpm=/usr \
		--with-jpeg=/usr \
		--with-gdal \
		--with-ogr \
		--with-proj \
		--with-eppl \
		--with-postgis \
		--with-wcs \
		--with-wms \
		--with-wmsclient \
		--with-wfs \
		--with-wfsclient \
		--with-threads \
		--with-geos

rstoptions=--stylesheet=mapscript.css --link-stylesheet 

configure-stamp: patch
	dh_testdir
	./configure $(COMMON_CONFIG)

	touch configure-stamp

configure-php5-stamp: patch clean-first-build
	dh_testdir
	./configure $(COMMON_CONFIG) \
		--with-php=/usr/include/php5 

	touch configure-php5-stamp

# This is the correct, policy-compliant build target
#build: build-indep build-arch

# This is the incorrect, non-policy compliant build target
# it is nessecary because the auto-builders use build, but don't install Build-Depends-Indep
build: build-arch

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir

	mkdir html
	rst2html $(rstoptions) mapscript/doc/imagery-HOWTO.txt > html/imagery-HOWTO.html
	rst2html $(rstoptions) mapscript/doc/mapfile-HOWTO.txt > html/mapfile-HOWTO.html
	rst2html $(rstoptions) mapscript/doc/mapscript.txt > html/mapscript.html
	rst2html $(rstoptions) mapscript/doc/python.txt > html/python.html
	rst2html $(rstoptions) mapscript/doc/querying-HOWTO.txt > html/querying-HOWTO.html
	rst2html $(rstoptions) rfc/ms-rfc-1.txt > html/ms-rfc-1.html
	rst2html $(rstoptions) rfc/ms-rfc-2.txt > html/ms-rfc-2.html
	rst2html $(rstoptions) rfc/ms-rfc-3.txt > html/ms-rfc-3.html
	rst2html $(rstoptions) rfc/ms-rfc-4.txt > html/ms-rfc-4.html
	rst2html $(rstoptions) rfc/ms-rfc-5.txt > html/ms-rfc-5.html
	rst2html $(rstoptions) rfc/ms-rfc-6.txt > html/ms-rfc-6.html
	rst2html $(rstoptions) rfc/ms-rfc-7.txt > html/ms-rfc-7.html
	rst2html $(rstoptions) rfc/ms-rfc-8.txt > html/ms-rfc-8.html
	cp mapscript/doc/default.css html
	cp mapscript/doc/mapscript.css html

	touch build-indep-stamp

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir

	# Build binary lib
	$(MAKE) mapscriptvars || touch mapscriptvars
	$(MAKE)  

	# Build Perl mapscript
	cd $(CURDIR)/mapscript/perl && \
		perl Makefile.PL INSTALLDIRS=vendor \
		&& $(MAKE) LD_RUN_PATH="" OPTIMIZE="-O2 -g -W -Wall"

	# Build python
	cd $(CURDIR)/mapscript/python && \
	  set -e; for python in $(PYVERS); do $$python setup.py build; done

	touch build-arch-stamp

build-php5-stamp: configure-php5-stamp
	dh_testdir
	-cd mapscript/php3 && \
		$(MAKE) clean
	# Build php_mapscript
	$(MAKE)

# This is needed to do 'make clean', but will be removed by the clean
# targets.  The end result is that 'debuild clean' only can execute
# once.  Hack around this problem by faking the creation when make fail.

clean-first-build:
	dh_testdir

	-$(RM) configure-stamp build-arch-stamp build-indep-stamp

	-$(RM) tile4ms
	-$(MAKE) mapscriptvars || touch mapscriptvars
	-cd mapscript/perl && $(MAKE) distclean
	-cd mapscript/python && \
	  for python in $(PYVERS); do $$python setup.py clean; done
	-$(RM) -rf mapscript/python/build
	-$(RM) mapscriptvars

	-$(RM) mapscript/perl/mapscript.i \
		mapscript/tcl/mapscript.i \
		mapscript/python/mapscript.i

	-$(MAKE) distclean

	# Remove some generated files until 50_clean.dpatch is applied upstream.
	-$(RM) Makefile mapscript/java/Makefile
	-$(RM) mapscript/csharp/Makefile mapscript/php3/Makefile
	-$(RM) config.log config.status

	-$(RM) -rf html/

	-$(RM) debian/.#* .#*


clean: unpatch clean-first-build
	dh_testdir
	dh_clean
	-$(RM) configure-php5-stamp build-php5-stamp install-arch-stamp install-indep-stamp install-php5-stamp
	-$(MAKE) distclean

install-indep: install-indep-stamp
install-indep-stamp: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_install -i
	touch install-indep-stamp

install-arch: install-arch-stamp install-php5-stamp
install-arch-stamp: build-arch
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a

	-mkdir -p debian/tmp/usr/lib/  debian/tmp/usr/include/ \
		debian/tmp/usr/lib/cgi-bin/ \
		debian/tmp/usr/bin

	# CGI mapserver
	install -m755 mapserv debian/tmp/usr/lib/cgi-bin/mapserv

	# Perl mapscript
	cd $(CURDIR)/mapscript/perl && \
        $(MAKE) install PREFIX=$(CURDIR)/debian/perl-mapscript/usr/ \
	                SITEPREFIX=$(CURDIR)/debian/perl-mapscript/usr/

	# Python mapscript
	cd $(CURDIR)/mapscript/python && set -e ; \
	  for python in $(PYVERS); do \
	    $$python setup.py install --root=$(CURDIR)/debian/python-mapscript ; \
	  done

	# Mapserver  Binary
	install -m755 legend scalebar shp2img shptree \
		shptreetst shptreevis sortshp tile4ms \
		debian/tmp/usr/bin
	install -m755 shp2mysql.pl debian/tmp/usr/bin/shp2mysql
	touch install-arch-stamp

install-php5-stamp: build-php5-stamp
	dh_testdir
	dh_testroot

	-mkdir -p debian/tmp$(PHP5DIR)

	# php5-mapscript
	install -m644 mapscript/php3/php_mapscript.so \
		debian/tmp$(PHP5DIR)
                      
	echo 'misc:Depends=phpapi-'$(PHP5API) >> debian/php5-mapscript.substvars

	touch install-php5-stamp

binary-indep: install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i HISTORY.TXT
	dh_installdocs -i
	dh_installdebconf -i
	dh_compress -i
	dh_link -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install-arch
	dh_testdir -a
	dh_testroot -a
	dh_movefiles -a
	dh_installchangelogs -a HISTORY.TXT
	dh_installdocs -a
	dh_installexamples -a
	chmod a-x debian/php*-mapscript/usr/share/doc/php*-mapscript/examples/*.phtml
	dh_installdebconf -a
	dh_pycentral -ppython-mapscript
	dh_compress -a
	dh_link -a
	dh_strip -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_perl -pperl-mapscript 
	dh_perl -pmapserver-bin
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install install-indep install-arch

include /usr/share/dpatch/dpatch.make

=== debian/watch ===
version=2
http://mapserver.gis.umn.edu/download/current/ (?:.*/)?mapserver-?_?([\d+\.]+|\d+)\.tar.* debian uupdate

## mapserver 5.6.6

=== debian/changelog ===
mapserver (5.6.6-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release some bug fixes.

  [ Francesco Paolo Lovergine ]
  * Moved to debian source 3.0 and quilt support.
  * Policy bumped to 3.9.1 withous changes.
  * Fixed Vcs-* fields in debian/control.
  * Fixed debian-rules-makemaker-prefix-is-deprecated in debian/rules.
  * Fixed debhelper-but-no-misc-depends in libmapscript-ruby.
  * lintian-overrides updated.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 12 Mar 2011 11:23:08 +0100

mapserver (5.6.5-2) unstable; urgency=high

  * Fix Validation of symbol index values (CVE-2010-1678)
    [http://trac.osgeo.org/mapserver/ticket/3641]
	
 -- Alan Boudreault <aboudreault@mapgears.com>  Thu, 06 Jan 2011 11:18:29 -0500

mapserver (5.6.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depends on libedit-dev as the package FTBFS without it
    Closes: #606247
  * Fix pending l10n issues. Debconf translations:
    - Czech (Miroslav Kure).  Closes: #599847
    - Vietnamese (Clytie Siddall).  Closes: #601922
    - Danish (Joe Hansen).  Closes: #605618
    - Italian (Vincenzo Campanella).  Closes: #605858

 -- Christian Perrier <bubulle@debian.org>  Mon, 06 Dec 2010 07:09:55 +0100

mapserver (5.6.5-1) unstable; urgency=low

  * New upstream release with an important bug fix about scale calculation.
  * Added OGC SOS server support.

 -- Alan Boudreault <aboudreault@mapgears.com>  Thu, 15 Jul 2010 10:55:19 -0400

mapserver (5.6.4-1) unstable; urgency=high

  [ Alan Boudreault ]
  * New upstream release, with important security bug fixes.
  * Fix Buffer overflow in msTmpFile function.
    [http://trac.osgeo.org/mapserver/ticket/3484]
  * Fix insecure mapserv CGI command-line debug args.
    [http://trac.osgeo.org/mapserver/ticket/3485]

  [ Francesco Paolo Lovergine ]
  * Policy bumped to 3.9.4, no changes required.
  * Note that in practice bashisms are avoided due to current options selection.
    (closes: #582098)
  * Urgency set to high due to security fixes included.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 12 Jul 2010 22:28:39 +0200

mapserver (5.6.3-2) unstable; urgency=low

  * Added palette support for rgba png.

 -- Alan Boudreault <aboudreault@mapgears.com>  Wed, 30 Jun 2010 09:19:51 -0400

mapserver (5.6.3-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release, with important bug fixes.
  * Fixed some typo in debian/control.

  [ Francesco Paolo Lovergine ]
  * Policy bumped to 3.8.4 without changes.
  * Removed Andreas Putzo among Uploaders: last contribution dated more than
    two years ago.
  * Added shapelib to Suggests in mapserver-bin. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 24 Mar 2010 22:13:25 +0100

mapserver (5.6.1-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release, with a few important bug fixes.
  * Modified ruby mapscript package to use ruby 1.9.1 instead of 1.9.0.
    (closes: #565831)
	
  [ Francesco Paolo Lovergine ]
  * Removed Fabio Tranchitella from Uploaders.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 Jan 2010 23:03:26 +0100

mapserver (5.6.0+final-1) unstable; urgency=low

  * New upstream release, reissued after some last minute changes. This is
    the current 5.6.0 upstream version. 
  * Added a lintian override-file for mismatched 
    possible-gpl-code-linked-with-openssl error. 
  * Policy bumped to 3.8.3 (no changes).
  * Added missing ${misc:Depends} item in each control stanza.
  * Added a README.source for documenting dpatch use.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 24 Dec 2009 19:22:16 +0100

mapserver (5.6.0-1) unstable; urgency=low

  [ Alan Boudreault ]
  * Debhelper compatibility level moved to 7.
  * Now uses dh_prep instead of deprecated dh_clean -k.
  * Deprecated dh_movefiles changed in dh_install.
  * Removed debian/AGG and debian/agg-2.4.uu: use AGG included with Mapserver source.
  * Clean up of debian/rules: removed all agg related stuff.
  * Added libxslt1-dev, libpam0g-dev and libreadline-dev build-dependencies. 
  * Added msencrypt binary.
  * Added SWF support. (flash)
  * Added fribidi support.
  * Added libfribidi-dev, libming-dev build-dependencies.
  * Added MIGRATION_GUIDE and xml mapfile related files into mapserver-doc package.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 15 Dec 2009 18:10:22 +0100

mapserver (5.4.2-1) unstable; urgency=high

  * New upstream release, with a few fixes. 
    Proper fix for CVE-2009-0840.
    (closes: #535340, #532446)

 -- Alan Boudreault <aboudreault@mapgears.com>  Fri, 24 Jul 2009 09:16:45 -0400

mapserver (5.4.1-1) experimental; urgency=low

  * New upstream release, with a few fixes. 

 -- Alan Boudreault <aboudreault@mapgears.com>  Thu, 04 Jun 2009 14:51:13 -0400

mapserver (5.4.0-1) experimental; urgency=low

  [ Alan Boudreault ]
  * New upstream release.
  * Added Alan as Uploader in debian/control.
  * Removed obsolete html doc generation in debian/rules and 
    from mapserver-doc package.  

  [ Francesco Paolo Lovergine ]
  * Updated sections due to ftmpasters changes.
  * Removed obsolete proj alternative build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 May 2009 21:45:45 +0200

mapserver (5.2.2-1) unstable; urgency=high

  * New upstream release, with security fixes.
  * Now using libproj-dev build-dep for new proj package style.
  * Removed Paul Wise among Uploaders after his request. Also revised list
    to reflect only recent (less than 24 months) contributors.
  * Added libogdi3.2-dev build-dependency.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 27 Mar 2009 13:48:26 +0100

mapserver (5.2.1-2) unstable; urgency=low

  * debian/watch: fixed. (Closes: #515732)
  * debian/po/ja.po: updated. (Closes: #510897)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 05 Mar 2009 22:55:48 +0100

mapserver (5.2.1-1) experimental; urgency=low

  * New upstream release.


=== debian/control ===
Source: mapserver
Section: devel
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>, Alan Boudreault <aboudreault@mapgears.com>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), libcurl4-gnutls-dev, libpng12-dev, zlib1g-dev (>= 1.1.4),
 libgd2-xpm-dev (>= 2.0.1-10), libfreetype6-dev (>= 2.0.9), libjpeg62-dev, libgdal1-dev (>=1.4.0), libproj-dev,
 libpq-dev, php5-dev, swig, python-all, python-all-dev, python-central (>= 0.5), libgeos-dev (>= 2.2.3-2),
 ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev,
 sharutils, libsdl1.2-dev, libfreetype6-dev, libx11-dev,
 libfcgi-dev, libxml2-dev, libogdi3.2-dev, libxslt1-dev, libpam0g-dev, libreadline-dev, 
 libfribidi-dev, libming-dev, libedit-dev
Build-Depends-Indep: python-docutils
Build-Conflicts: libcurl3-openssl-dev
XS-Python-Version: all
Homepage: http://www.mapserver.org
Vcs-Browser: http://git.debian.org/?p=pkg-grass/mapserver.git
Vcs-Git: git://git.debian.org/git/pkg-grass/mapserver.git

Package: php5-mapscript
Section: php
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: php5-cgi module for MapServer
 PHP MapScript provides MapServer functions for PHP scripts.

Package: perl-mapscript
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: Perl MapServer library
 Perl MapScript provides MapServer functions for Perl scripts.

Package: cgi-mapserver
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: CGI executable for MapServer
 This package contains the mapserv CGI program. It provides the
 MapServer template language, and can be used to implement Web Map
 Service applications.
 .
 MapServer is a CGI-based framework for Internet map services which
 supports Open Geospatial Consortium (OGC) standards. Scripting
 functionality in MapScript is provided by the suggested mapscript
 library packages.

Package: python-mapscript
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python library for MapServer
 Python MapScript provides MapServer functions for Python scripts.

Package: mapserver-bin
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: libdbi-perl, perl-mapscript, python-mapscript, cgi-mapserver, mapserver-doc, php5-mapscript, shapelib
Description: MapServer utilities
 This package provides command-line utilities for MapServer.
 .
 MapServer is a CGI-based framework for Internet map services which
 supports Open Geospatial Consortium (OGC) standards. Scripting
 functionality in MapScript is provided by the suggested mapscript
 library packages.

Package: mapserver-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: perl-mapscript, python-mapscript, php5-mapscript, cgi-mapserver
Description: documentation for MapServer
 This package provides some brief documentation for MapServer.
 .
 MapServer is a CGI-based framework for Internet map services which
 supports Open Geospatial Consortium (OGC) standards. Scripting
 functionality in MapScript is provided by the suggested mapscript
 library packages.

Package: libmapscript-ruby
Section: ruby
Architecture: all
Depends: libmapscript-ruby1.8, ${misc:Depends}
Description: Ruby MapServer library
 Ruby MapScript provides MapServer functions for Ruby scripts.
 .
 This package contains examples and depends on package for Debian
 default version of Ruby.

Package: libmapscript-ruby1.8
Section: ruby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: Ruby MapServer library
 Ruby MapScript provides MapServer functions for Ruby scripts.

Package: libmapscript-ruby1.9.1
Section: ruby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: Ruby MapServer library
 Ruby MapScript provides MapServer functions for Ruby scripts.

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,10 @@
 version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')
 CURDIR := $(shell pwd)
 PYVERS=$(shell pyversions -r debian/control)
+RUBYVERS=1.8 1.9.1
 PHP5API=$(shell php-config5 --phpapi)
 PHP5DIR=$(shell php-config5 --extension-dir)
+
 
 # Configure config :
 # Not using non free libpdf
@@ -29,6 +31,8 @@
 		--without-pdf \
 		--with-gd=/usr \
 		--with-freetype=/usr \
+		--with-fribidi-config \
+		--with-ming \
 		--with-zlib=/usr \
 		--with-png=/usr \
 		--with-xpm=/usr \
@@ -39,25 +43,33 @@
 		--with-eppl \
 		--with-postgis \
 		--with-wcs \
+		--with-sos \
 		--with-wms \
 		--with-wmsclient \
 		--with-wfs \
 		--with-wfsclient \
 		--with-threads \
-		--with-geos
+		--with-geos \
+		--with-fastcgi \
+		--with-agg \
+		--with-experimental-png
 
 rstoptions=--stylesheet=mapscript.css --link-stylesheet 
 
-configure-stamp: patch
-	dh_testdir
-	./configure $(COMMON_CONFIG)
+MS_CFLAGS=-g -O2
+MS_CXXFLAGS=$(MS_CFLAGS)
+
+configure-stamp: 
+	dh_testdir
+	./configure $(COMMON_CONFIG) CFLAGS="$(MS_CFLAGS)" CXXFLAGS="$(MS_CXXFLAGS)"
+
 
 	touch configure-stamp
 
-configure-php5-stamp: patch clean-first-build
+configure-php5-stamp: clean-first-build
 	dh_testdir
 	./configure $(COMMON_CONFIG) \
-		--with-php=/usr/include/php5 
+		--with-php=/usr/include/php5  CFLAGS="$(MS_CFLAGS)" CXXFLAGS="$(MS_CXXFLAGS)"
 
 	touch configure-php5-stamp
 
@@ -71,23 +83,6 @@
 build-indep: build-indep-stamp
 build-indep-stamp:
 	dh_testdir
-
-	mkdir html
-	rst2html $(rstoptions) mapscript/doc/imagery-HOWTO.txt > html/imagery-HOWTO.html
-	rst2html $(rstoptions) mapscript/doc/mapfile-HOWTO.txt > html/mapfile-HOWTO.html
-	rst2html $(rstoptions) mapscript/doc/mapscript.txt > html/mapscript.html
-	rst2html $(rstoptions) mapscript/doc/python.txt > html/python.html
-	rst2html $(rstoptions) mapscript/doc/querying-HOWTO.txt > html/querying-HOWTO.html
-	rst2html $(rstoptions) rfc/ms-rfc-1.txt > html/ms-rfc-1.html
-	rst2html $(rstoptions) rfc/ms-rfc-2.txt > html/ms-rfc-2.html
-	rst2html $(rstoptions) rfc/ms-rfc-3.txt > html/ms-rfc-3.html
-	rst2html $(rstoptions) rfc/ms-rfc-4.txt > html/ms-rfc-4.html
-	rst2html $(rstoptions) rfc/ms-rfc-5.txt > html/ms-rfc-5.html
-	rst2html $(rstoptions) rfc/ms-rfc-6.txt > html/ms-rfc-6.html
-	rst2html $(rstoptions) rfc/ms-rfc-7.txt > html/ms-rfc-7.html
-	rst2html $(rstoptions) rfc/ms-rfc-8.txt > html/ms-rfc-8.html
-	cp mapscript/doc/default.css html
-	cp mapscript/doc/mapscript.css html
 
 	touch build-indep-stamp
 
@@ -108,6 +103,13 @@
 	cd $(CURDIR)/mapscript/python && \
 	  set -e; for python in $(PYVERS); do $$python setup.py build; done
 
+	# Build ruby
+	cd $(CURDIR)/mapscript/ruby && set -e ; \
+	  for v in $(RUBYVERS) ; do \
+	    ruby$$v extconf.rb && $(MAKE) && \
+	      mv mapscript.so ruby$$v-mapscript.so ; \
+	  done
+
 	touch build-arch-stamp
 
 build-php5-stamp: configure-php5-stamp
@@ -127,34 +129,35 @@
 	-$(RM) configure-stamp build-arch-stamp build-indep-stamp
 
 	-$(RM) tile4ms
-	-$(MAKE) mapscriptvars || touch mapscriptvars
-	-cd mapscript/perl && $(MAKE) distclean
+	[ ! -f $(CURDIR)/Makefile ] || $(MAKE) mapscriptvars 
+	touch mapscriptvars
+	[ ! -f $(CURDIR)/mapscript/perl/Makefile ] || $(MAKE) distclean -C $(CURDIR)/mapscript/perl
 	-cd mapscript/python && \
 	  for python in $(PYVERS); do $$python setup.py clean; done
 	-$(RM) -rf mapscript/python/build
+	[ ! -f $(CURDIR)/mapscript/ruby/Makefile ] || $(MAKE) distclean -C $(CURDIR)/mapscript/ruby
+	-$(RM) -rf $(CURDIR)/mapscript/ruby/mapscript_wrap.c
 	-$(RM) mapscriptvars
 
-	-$(RM) mapscript/perl/mapscript.i \
+	-$(RM)  mapscript/perl/mapscript.i \
 		mapscript/tcl/mapscript.i \
 		mapscript/python/mapscript.i
 
-	-$(MAKE) distclean
-
-	# Remove some generated files until 50_clean.dpatch is applied upstream.
+	[ ! -f $(CURDIR)/Makefile ] || $(MAKE) distclean
+
+	# Remove some generated files 
 	-$(RM) Makefile mapscript/java/Makefile
 	-$(RM) mapscript/csharp/Makefile mapscript/php3/Makefile
 	-$(RM) config.log config.status
 
-	-$(RM) -rf html/
-
 	-$(RM) debian/.#* .#*
 
-
-clean: unpatch clean-first-build
-	dh_testdir
-	dh_clean
+clean: clean-first-build
+	dh_testdir
+	dh_prep
 	-$(RM) configure-php5-stamp build-php5-stamp install-arch-stamp install-indep-stamp install-php5-stamp
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
+	rm -f debian/*.debhelper.log
 
 install-indep: install-indep-stamp
 install-indep-stamp: build-indep
@@ -179,8 +182,7 @@
 
 	# Perl mapscript
 	cd $(CURDIR)/mapscript/perl && \
-        $(MAKE) install PREFIX=$(CURDIR)/debian/perl-mapscript/usr/ \
-	                SITEPREFIX=$(CURDIR)/debian/perl-mapscript/usr/
+        $(MAKE) install DESTDIR=$(CURDIR)/debian/perl-mapscript
 
 	# Python mapscript
 	cd $(CURDIR)/mapscript/python && set -e ; \
@@ -188,9 +190,17 @@
 	    $$python setup.py install --root=$(CURDIR)/debian/python-mapscript ; \
 	  done
 
+	# Ruby mapscript
+	cd $(CURDIR)/mapscript/ruby && set -e ; \
+	  for v in $(RUBYVERS) ; do \
+	    ruby$$v extconf.rb ; \
+	      $(MAKE) install sitedir=$(CURDIR)/debian/libmapscript-ruby$$v/usr/lib/ruby ; \
+	      $(MAKE) distclean ; \
+	  done
+
 	# Mapserver  Binary
 	install -m755 legend scalebar shp2img shptree \
-		shptreetst shptreevis sortshp tile4ms \
+		shptreetst shptreevis sortshp tile4ms msencrypt \
 		debian/tmp/usr/bin
 	install -m755 shp2mysql.pl debian/tmp/usr/bin/shp2mysql
 	touch install-arch-stamp
@@ -214,9 +224,11 @@
 	dh_testroot -i
 	dh_installchangelogs -i HISTORY.TXT
 	dh_installdocs -i
+	dh_installexamples -i
 	dh_installdebconf -i
-	dh_compress -i
+	dh_compress -i -X.xml -X.xsd -X.xsl
 	dh_link -i
+	dh_lintian -i
 	dh_fixperms -i
 	dh_installdeb -i
 	dh_gencontrol -i
@@ -226,7 +238,7 @@
 binary-arch: install-arch
 	dh_testdir -a
 	dh_testroot -a
-	dh_movefiles -a
+	dh_install --autodest --list-missing --sourcedir=debian/tmp
 	dh_installchangelogs -a HISTORY.TXT
 	dh_installdocs -a
 	dh_installexamples -a
@@ -235,6 +247,12 @@
 	dh_pycentral -ppython-mapscript
 	dh_compress -a
 	dh_link -a
+	# Overrides a mismatched error from lintian
+	for pkg in $$(cat debian/lintian-overrides|cut -d: -f1); do \
+			echo "$$pkg: possible-gpl-code-linked-with-openssl" >debian/$$pkg.lintian-overrides; \
+			cat debian/$$pkg.lintian-overrides; \
+	done
+	dh_lintian -a
 	dh_strip -a
 	dh_fixperms -a
 	dh_makeshlibs -a
@@ -250,4 +268,3 @@
 
 .PHONY: build build-arch build-indep clean binary-indep binary-arch binary install install-indep install-arch
 
-include /usr/share/dpatch/dpatch.make

=== debian/watch ===
version=2
http://download.osgeo.org/mapserver/ (?:.*/)?mapserver-?_?([\d+\.]+|\d+)\.tar.* debian uupdate

## mapserver 6.0.1

=== debian/changelog ===
mapserver (6.0.1-3) unstable; urgency=low

  * Let the configure script search in the system directory for jpeg stuff.
    (closes: #661914)
  * Added fixgeos patch to use correcly the geos-config script.
  * Minimum version for geos set to 3.3.1.
  * Added patch php54 to work with PHP 5.4 too, and reflect changes in the API.
  * Updated debconf template with nl and pt_BR translations.
    (closes: #657153, #661288)
  * Now b-deps on libpng-dev.
    (closes: #662426)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 05 Mar 2012 16:06:32 +0100

mapserver (6.0.1-2) unstable; urgency=low

  * Added missed stuff for libmapscript-perl.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 23 Dec 2011 14:02:06 +0100

mapserver (6.0.1-1) unstable; urgency=low
	
  [ Alan Boudreault ]
  * New upstream release.

  [ Francesco Paolo Lovergine ]
  * Debhelper level set to 8.
  * This version still uses libpng 1.2, but is ready also for 1.5.
  * Removed explicit settings of png dir, it collids with multi-arch support. 
  * Now mapscript/php3 moved finally to mapscript/php. Install file changed as
    due.
  * Removed obsolete python-docutils build-dep. Thanks Jakub Wilk.
    (closes: #635256)
  * Renamed perl-mapscript to libmapscript-perl to adhere the Perl naming
    policy.
    (closes: #575934)
  * Revised description of Perl mapscript.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 23 Dec 2011 10:26:04 +0100

mapserver (5.6.6-2) unstable; urgency=low

  * Ack previous NMU: added libepsilon-dev as build-dep.
    (closes: #624811)
  * Policy bumped to 3.9.2, no changes required.
  * Moved to libjpeg-dev as build-dep.
  * Migrated to dh_python2.
    (closes: #616883)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 13 Jul 2011 18:05:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,15 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>, Alan Boudreault <aboudreault@mapgears.com>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7), libcurl4-gnutls-dev, libpng12-dev, zlib1g-dev (>= 1.1.4),
- libgd2-xpm-dev (>= 2.0.1-10), libfreetype6-dev (>= 2.0.9), libjpeg62-dev, libgdal1-dev (>=1.4.0), libproj-dev,
- libpq-dev, php5-dev, swig, python-all, python-all-dev, python-central (>= 0.5), libgeos-dev (>= 2.2.3-2),
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8), libcurl4-gnutls-dev, libpng-dev, zlib1g-dev (>= 1.1.4),
+ libgd2-xpm-dev (>= 2.0.1-10), libfreetype6-dev (>= 2.0.9), libjpeg-dev, libgdal1-dev (>=1.4.0), libproj-dev,
+ libpq-dev, php5-dev, swig, python-all (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), libgeos-dev (>= 3.3.1-1~),
  ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev,
  sharutils, libsdl1.2-dev, libfreetype6-dev, libx11-dev,
  libfcgi-dev, libxml2-dev, libogdi3.2-dev, libxslt1-dev, libpam0g-dev, libreadline-dev, 
- libfribidi-dev, libming-dev, libedit-dev
-Build-Depends-Indep: python-docutils
+ libfribidi-dev, libming-dev, libedit-dev, libepsilon-dev, libcairo2-dev
 Build-Conflicts: libcurl3-openssl-dev
-XS-Python-Version: all
 Homepage: http://www.mapserver.org
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/mapserver.git
 Vcs-Git: git://git.debian.org/git/pkg-grass/mapserver.git
@@ -26,13 +24,16 @@
 Description: php5-cgi module for MapServer
  PHP MapScript provides MapServer functions for PHP scripts.
 
-Package: perl-mapscript
+Package: libmapscript-perl
 Section: perl
 Architecture: any
 Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: mapserver-bin, mapserver-doc
-Description: Perl MapServer library
- Perl MapScript provides MapServer functions for Perl scripts.
+Provides: perl-mapscript
+Replaces: perl-mapscript
+Conflicts: perl-mapscript
+Description: Perl MapServer module
+ Perl MapScript module provides MapServer functions for Perl scripts.
 
 Package: cgi-mapserver
 Section: web
@@ -55,7 +56,6 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: mapserver-bin, mapserver-doc
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
 Description: Python library for MapServer
  Python MapScript provides MapServer functions for Python scripts.

=== debian/rules ===
--- 
+++ 
@@ -32,11 +32,8 @@
 		--with-gd=/usr \
 		--with-freetype=/usr \
 		--with-fribidi-config \
-		--with-ming \
 		--with-zlib=/usr \
-		--with-png=/usr \
 		--with-xpm=/usr \
-		--with-jpeg=/usr \
 		--with-gdal \
 		--with-ogr \
 		--with-proj \
@@ -51,15 +48,16 @@
 		--with-threads \
 		--with-geos \
 		--with-fastcgi \
-		--with-agg \
-		--with-experimental-png
+		-with-agg \
+		--with-experimental-png \
+		--with-cairo
 
 rstoptions=--stylesheet=mapscript.css --link-stylesheet 
 
 MS_CFLAGS=-g -O2
 MS_CXXFLAGS=$(MS_CFLAGS)
 
-configure-stamp: 
+configure-stamp:
 	dh_testdir
 	./configure $(COMMON_CONFIG) CFLAGS="$(MS_CFLAGS)" CXXFLAGS="$(MS_CXXFLAGS)"
 
@@ -114,7 +112,7 @@
 
 build-php5-stamp: configure-php5-stamp
 	dh_testdir
-	-cd mapscript/php3 && \
+	-cd mapscript/php && \
 		$(MAKE) clean
 	# Build php_mapscript
 	$(MAKE)
@@ -147,7 +145,7 @@
 
 	# Remove some generated files 
 	-$(RM) Makefile mapscript/java/Makefile
-	-$(RM) mapscript/csharp/Makefile mapscript/php3/Makefile
+	-$(RM) mapscript/csharp/Makefile mapscript/php/Makefile
 	-$(RM) config.log config.status
 
 	-$(RM) debian/.#* .#*
@@ -182,7 +180,7 @@
 
 	# Perl mapscript
 	cd $(CURDIR)/mapscript/perl && \
-        $(MAKE) install DESTDIR=$(CURDIR)/debian/perl-mapscript
+        $(MAKE) install DESTDIR=$(CURDIR)/debian/libmapscript-perl
 
 	# Python mapscript
 	cd $(CURDIR)/mapscript/python && set -e ; \
@@ -212,7 +210,7 @@
 	-mkdir -p debian/tmp$(PHP5DIR)
 
 	# php5-mapscript
-	install -m644 mapscript/php3/php_mapscript.so \
+	install -m644 mapscript/php/php_mapscript.so \
 		debian/tmp$(PHP5DIR)
                       
 	echo 'misc:Depends=phpapi-'$(PHP5API) >> debian/php5-mapscript.substvars
@@ -244,7 +242,7 @@
 	dh_installexamples -a
 	chmod a-x debian/php*-mapscript/usr/share/doc/php*-mapscript/examples/*.phtml
 	dh_installdebconf -a
-	dh_pycentral -ppython-mapscript
+	dh_python2 -ppython-mapscript
 	dh_compress -a
 	dh_link -a
 	# Overrides a mismatched error from lintian
@@ -258,7 +256,7 @@
 	dh_makeshlibs -a
 	dh_installdeb -a
 	dh_shlibdeps -a
-	dh_perl -pperl-mapscript 
+	dh_perl -plibmapscript-perl
 	dh_perl -pmapserver-bin
 	dh_gencontrol -a
 	dh_md5sums -a
